Unable to install latest version to request demo on OS X 10.7 or 10.9

Hello,
I’m unable to install latest version to request demo on MacOS 10.7 or 10.9, after having filed the form with personal informations it spins for ever, message in French “Chargement des informations du produit depuis le serveur” “Veuillez patienter …”


Is it still possible to install on those systems ? I need to use a Firewire DV camera.

I am sorry for this inconvenience. Unfortunately we don’t support those old macOS anymore and so our backend servers don’t respond correctly to those old app version. Please send an email to sales@boinx.com to request a demo license for iStopMotion 3 or information about purchasing it.

Cameras: iStopMotion 3 can work with USB cams as well.